Bug 62471 - Kernel 2.4.18-0.12 hangs in partition check
Kernel 2.4.18-0.12 hangs in partition check
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 07:29 EST by Ville Skyttä
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 18:04:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2002-04-01 07:29:39 EST
Something between kernel-2.4.18-0.10 and kernel-2.4.18-0.12 caused
my system not to boot after upgrade.  The system just says
partition check:
hde:
...and hangs there. The 0.10 (and 0.4) kernel works fine.

My system is a RH7.2, P3, Abit BE6-II, HighPoint HPT366
with kernel and XFree86 updated (needed for ATI Radeon 7500
support), and root partition /dev/hde5.

/sbin/lspci:
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:0b.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE] (rev 16)
00:0f.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 05)00:13.0 Unknown mass storage controller: HighPoint Technologies, Inc. 
HPT366/370 UltraDMA 66/100 IDE Controller (rev 01)
00:13.1 Unknown mass storage controller: HighPoint Technologies, Inc. HPT366/370 UltraDMA 66/100 IDE Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5157

I'll provide more info if needed.
Comment 1 Arjan van de Ven 2002-04-01 07:34:04 EST
investigating
Comment 2 Arjan van de Ven 2002-04-04 08:03:22 EST
There are some issues with the hpt driver in 2.4.18-0.12. I've put an
experimental(!!) fix in 2.4.18-0.13 which I hope will appear in rawhide soon.
Once it does, would you mind testing that ?
Comment 3 Ville Skyttä 2002-04-04 08:46:05 EST
Yes, I'll give it a try when I get my hands on it...


Comment 4 Ville Skyttä 2002-04-05 06:09:57 EST
Unfortunately, the -0.13 behaves exactly the same as -0.12 here,
still doesn't boot, hangs in partition check.

BTW, "rpm -q --changelog -p kernel-2.4.18-0.13..." doesn't output the
change log any more, was it omitted from this build for some reason?

Comment 5 Ville Skyttä 2002-04-07 07:33:38 EDT
Same problem here still with 2.4.18-0.16.
Comment 6 Stephen Tweedie 2002-04-08 04:45:00 EDT
Duplicated here:

00:0b.0 Unknown mass storage controller: HighPoint Technologies, Inc. HPT366/370
UltraDMA 66/100 IDE Controller (rev 03)

Same symptoms, still hangs with .16.
Comment 7 Stephen Tweedie 2002-04-08 05:19:48 EDT
Booting with "ide=nodma" works to get .16 booting on my hpt370 box.
Comment 8 Stephen Tweedie 2002-04-08 06:36:58 EDT
One more data point: 2.4.19-pre5-ac3 stalls in the same way, both with and
without CONFIG_IDE_TASKFILE_IO.  Without CONFIG_BLK_DEV_HPT366 the box does
boot, but we appear to lose all interrupts from the HPT card --- every IO needs
an IDE timeout to succeed.  (DMA in use in all these cases.)
Comment 9 Arjan van de Ven 2002-04-09 04:59:09 EDT
Please try 2.4.18-0.18 when it appears in rawhide; it's supposed to fix this
Comment 10 Ville Skyttä 2002-04-09 18:04:11 EDT
Ah, 2.4.18-0.18 boots nicely here (out of the box, no ide=whatever tweaks). 
Thanks so far...  
Comment 11 Ville Skyttä 2002-04-21 18:23:33 EDT
2.4.18-0.18, 2.4.18-0.21 and 2.4.18-0.22 work fine here, so I'm closing this bug (if 
Bugzilla allows me to do it, we'll see in a moment :)  Thanks... 

Note You need to log in before you can comment on or make changes to this bug.